Bug 496854 - [RFE] exclude mountpoints from netfs initscript
[RFE] exclude mountpoints from netfs initscript
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 496857
  Show dependency treegraph
 
Reported: 2009-04-21 09:29 EDT by Marc Grimme
Modified: 2014-03-16 23:18 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-14 10:24:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
This patch implements the /etc/xtab approach. (1.68 KB, patch)
2009-04-21 09:30 EDT, Marc Grimme
no flags Details | Diff

  None (edit)
Description Marc Grimme 2009-04-21 09:29:24 EDT
Description of problem:
If there are filesystems mounted that are either dependent on the rootfilesystem (i.e. bind mounts) or provide chroot environments for userspace programs the rootfilesystem depends on they should not be umounted during halt/reboot. One hotspot where this happens is the netfs initscript. The netfs initscript just umounts every network filesystem other then the rootfilesystem. But this can lead to huge problems if the rootfilesystem itself is dependent on other filesystems dependent on this.

Idea:
Like the xrootfs approach this introduces a similar one. The patch attached will change the netfs behavior in so far that not only the rootfilesystem is not umounted but also all mountpoints listed in /etc/xtab.

Version-Release number of selected component (if applicable):
fedora, rhel5

How reproducible:
always when the rootfilesystem is dependent on other filesystems.

We use it very extensively as we are sharing the rootfs. For this we need a chroot filesystem holding the userspace programs dependent on the rootfilesystem that shouldn't be umounted by netfs. We also have a bindmount where we keep context dependent hostdependent files that should also not being umounted. For this the /etc/xtab approach would help us very much.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
All filesystems except the rootfs mounted on / is umounted. But this is not appropriate as we need more filesystems to survive.

Expected results:
This behavior should be configurable.

Additional info:
Comment 1 Marc Grimme 2009-04-21 09:30:24 EDT
Created attachment 340520 [details]
This patch implements the /etc/xtab approach.
Comment 2 Bill Nottingham 2009-04-21 18:25:49 EDT
Honestly, I think your setup is somewhat pathological. A separate chroot off the rootfs that is needed to shutdown?
Comment 3 Marc Grimme 2009-04-22 02:23:17 EDT
If you use gfs/nfs4/glusterfs/ocfs2 as rootfilesystem you need services being run independently from the rootfilesystem. Like the cluster itself or recovery functions. Even for nfs4 you will at least need rpc.idmapd and might need rpcbind. Cause those cannot run on a filesystem that requires then.

To nevertheless being able to use such a filesystem as rootfilesystem we are building (while booting) a chroot where we put those services and deps in. This needs to umounted "after" the rootfs is being umounted. So that's why we need it.

BTW: halt.local we then do the umounting of the chroot and the leaving of the cluster if need be.
Comment 4 Lukáš Nykrýn 2013-03-14 10:24:40 EDT
Initscripts no longer handle this -> close.

Note You need to log in before you can comment on or make changes to this bug.